org.apache.cassandra.thrift

## Class TriggerDef

- java.lang.Object
- - org.apache.cassandra.thrift.TriggerDef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TriggerDef>, org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>

    public class TriggerDef
    extends java.lang.Object
    implements org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TriggerDef>

Describes a trigger. `options` should include at least 'class' param. Other options are not supported yet.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TriggerDef._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static java.util.Map<TriggerDef._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.lang.String` `name`
`java.util.Map<java.lang.String,java.lang.String>` `options`

### Constructor Summary

Constructors
Constructor and Description
`TriggerDef()`
`TriggerDef(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> options)`
`TriggerDef(TriggerDef other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(TriggerDef other)`
`TriggerDef` `deepCopy()`
`boolean` `equals(java.lang.Object that)`
`boolean` `equals(TriggerDef that)`
`TriggerDef._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(TriggerDef._Fields field)`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.String>` `getOptions()`
`int` `getOptionsSize()`
`int` `hashCode()`
`boolean` `isSet(TriggerDef._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetOptions()` Returns true if field options is set (has been assigned a value) and false otherwise
`void` `putToOptions(java.lang.String key, java.lang.String val)`
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(TriggerDef._Fields field, java.lang.Object value)`
`TriggerDef` `setName(java.lang.String name)`
`void` `setNameIsSet(boolean value)`
`TriggerDef` `setOptions(java.util.Map<java.lang.String,java.lang.String> options)`
`void` `setOptionsIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetName()`
`void` `unsetOptions()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### options

    public java.util.Map<java.lang.String,java.lang.String> options

#### metaDataMap

    public static final java.util.Map<TriggerDef._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TriggerDef

    public TriggerDef()

#### TriggerDef

    public TriggerDef(java.lang.String name,
                      java.util.Map<java.lang.String,java.lang.String> options)

#### TriggerDef

    public TriggerDef(TriggerDef other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TriggerDef deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### getName

    public java.lang.String getName()

#### setName

    public TriggerDef setName(java.lang.String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet(boolean value)

#### getOptionsSize

    public int getOptionsSize()

#### putToOptions

    public void putToOptions(java.lang.String key,
                             java.lang.String val)

#### getOptions

    public java.util.Map<java.lang.String,java.lang.String> getOptions()

#### setOptions

    public TriggerDef setOptions(java.util.Map<java.lang.String,java.lang.String> options)

#### unsetOptions

    public void unsetOptions()

#### isSetOptions

    public boolean isSetOptions()

Returns true if field options is set (has been assigned a value) and false otherwise

#### setOptionsIsSet

    public void setOptionsIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(TriggerDef._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(TriggerDef._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### isSet

    public boolean isSet(TriggerDef._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(TriggerDef that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(TriggerDef other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<TriggerDef>`

#### fieldForId

    public TriggerDef._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<TriggerDef,TriggerDef._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`